Skip to main content
POST
/
api
/
playground
/
prepare
Prepare Playground
curl --request POST \
  --url https://api.example.com/api/playground/prepare \
  --header 'Authorization: Bearer <token>'
{
  "session": {
    "id": "<string>",
    "name": "<string>",
    "source": "<string>",
    "status": "<string>",
    "progress": 123,
    "created_at": "<string>",
    "updated_at": "<string>",
    "source_ref": "<string>",
    "row_count": 123,
    "column_count": 123,
    "columns": [],
    "file_size_bytes": 123,
    "file_names": [
      "<string>"
    ],
    "error_message": "<string>",
    "cancel_requested": false
  },
  "ready": true,
  "launched_task": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Response

Successful Response

session
SessionResponse · object
required
ready
boolean
required
launched_task
boolean
default:false